Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.gui
Class SimMenuBar

    java.lang.Object
      avrora.gui.SimMenuBar

public class SimMenuBar
extends java.lang.Object

This simple class handles the top level menu bar. The top level bar contols inputs to the simulator and monitor additions, so the ManageMonitor and ManageSimInput instances are contianed within this class

If you are looking to add to the top level menu of the GUI, you edit this file.

Field Summary
`javax.swing.JMenuBar` | `menuBar` This is the high level menu "object" that should be displayed

Constructor Summary
`SimMenuBar()`

Method Summary
`boolean` | `checkAndDispatch(java.awt.event.ActionEvent e)` This checks to see if the event was caused by a widget in this class.
`static SimMenuBar` | `createSimMenuBar()` This functions as the constructor for this class.
`void` | `updateMenuBar()` This physically creates the look of the menu bar.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### menuBar

    public javax.swing.JMenuBar menuBar

  This is the high level menu "object" that should be displayed

Constructor Detail

### SimMenuBar

    public SimMenuBar()

Method Detail

### createSimMenuBar

    public static SimMenuBar createSimMenuBar()

  This functions as the constructor for this class. It inits all internal values and "creates" the visual objects necessary for displaying the menu bar

  Returns:
    An instance of this class

### updateMenuBar

    public void updateMenuBar()

  This physically creates the look of the menu bar. It should be called upon start up and when any change to a sim setting would cause a change in the menu bar. (e.g. when the sim starts)

### checkAndDispatch

    public boolean checkAndDispatch(java.awt.event.ActionEvent e)

  This checks to see if the event was caused by a widget in this class.

  Returns:
    true, if a widget inside this class was the cause of the event otherwise false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD